<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
    <p-panel>
        <p-header>
            <!-- {{'global.field.id' | translate}} : {{purchaseOrder.idOrder}} -->
            <ul class="nav justify-content-end">
                <li class="nav-item">
                    <a class="btn" (click)="previousState()" style="cursor: pointer;"><i class="fa fa-chevron-left"></i> &nbsp;{{'entity.action.back' | translate}}</a>
                </li>
                <li class="nav-item">
                    <a class="btn" (click)="save()" href="javascript:void(0)" style="cursor: pointer;"><i class="fa fa-save"></i> &nbsp;{{'entity.action.save' | translate}}</a>
                </li>
            </ul>
        </p-header>
        <div class="text-left" style="margin-bottom: 15px;">
            <div class="ui-g ui-fluid">
                <div class="row">
                    <div class="col-md-4">
                        <div class="form-group">
                            <label class="form-control-label" for="field_num">No Budget</label>
                            <input type="text" class="form-control" name="num" id="field_num"
                                [(ngModel)]="budgeting.requestNumber" [disabled]="readonly"/>
                        </div>
                    </div>
                    <div class="col-md-4">
                            <div class="form-group">
                                <label class="form-control-label" for="field_div">Divisi</label>
                                <input type="text" class="form-control" name="div" id="field_div"
                                    [(ngModel)]="budgeting.div" [disabled]="readonly"/>
                            </div>
                        </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label class="form-control-label"  for="field_loc">Lokasi</label>
                            <select class="form-control" id="field_loc" name="loc" [(ngModel)]="budgeting.location" [disabled]="readonly">
                                <option [ngValue]="null"></option>
                                <option [ngValue]="locOption.value" *ngFor="let locOption of loc">{{locOption.label}}</option>
                            </select>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label class="form-control-label" for="field_dtOrder">Tanggal </label>
                            <div class="input-group">
                                <p-calendar inputId="field_dtOrder" name="input_dtOrder" [size]="28" [(ngModel)]="dtOrder"
                                    [disabled]="readonly"
                                    dateFormat="dd-MM-yy"
                                    [showIcon]="true"></p-calendar>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label class="form-control-label" for="field_inPcAstUdr5Th">Qty PC Dekstop Berumur Lebih Dari 5 Tahun</label>
                            <input currencyMask class="form-control" name="inPcAstUdr5Th" id="field_inPcAstUdr5Th"
                                [(ngModel)]="budgeting.pcAstUdr5Th"
                                [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                                />
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label class="form-control-label" for="field_inPcAstUpr5Th">Qty PC Dekstop Berumur Dibawah 5 Tahun</label>
                            <input currencyMask class="form-control" name="inPcAstUpr5Th" id="field_inPcAstUpr5Th"
                                [(ngModel)]="budgeting.pcAstUpr5Th"
                                [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                                />
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label class="form-control-label" for="field_inLpAstUdr5Th">Qty Notebook Berumur Lebih Dari 5 Tahun</label>
                            <input currencyMask class="form-control" name="inLpAstUdr5Th" id="field_inLpAstUdr5Th"
                                [(ngModel)]="budgeting.lpAstUdr5Th"
                                [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                                />
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label class="form-control-label" for="field_inLpAstUpr5Th">Qty Notebook Berumur Dibawah 5 Tahun</label>
                            <input currencyMask class="form-control" name="inLpAstUpr5Th" id="field_inLpAstUpr5Th"
                                [(ngModel)]="budgeting.lpAstUpr5Th"
                                [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                                />
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label class="form-control-label" for="field_inQtyAstPrntr">Qty Printer</label>
                            <input currencyMask class="form-control" name="inQtyAstPrntr" id="field_inQtyAstPrntr"
                                [(ngModel)]="budgeting.qtyAstPrntr"
                                [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                                />
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <jhi-budgeting-item-as-list [idRequest]="idRequest"></jhi-budgeting-item-as-list>
    </p-panel>
</form>
<p-confirmDialog></p-confirmDialog>